// Class definition

var KTBootstrapDatetimepicker = function () {
    
    // Private functions
    var demos = function () {
        console.log(moment());
        // minimal setup
        $('#kt_datetimepicker_1').datetimepicker({
            todayHighlight: true,
            autoclose: true,
            format: 'yyyy/mm/dd hh:ii',
            startDate: new Date()
        });

        // input group demo
        $('#kt_datetimepicker_2, #kt_datetimepicker_1_validate, #kt_datetimepicker_2_validate, #kt_datetimepicker_3_validate').datetimepicker({
            todayHighlight: true,
            autoclose: true,
            format: 'yyyy/mm/dd hh:ii',
            startDate: new Date()
        });
        
    }

    return {
        // public functions
        init: function() {
            demos(); 
        }
    };
}();

jQuery(document).ready(function() {
    KTBootstrapDatetimepicker.init();
});